SSL Certificate Provider
 

Product successfully added to your shopping cart

Total products (tax incl.)
Total shipping (tax incl.) To be determined
Total (tax incl.)
Continue shopping Proceed to checkout

Valitor Payment Module

Our Valitor Payment Module integrates your Prestashop store with the Valitor payment gateway.

price $50.00


Compatibility Compatibility
Prestashop 1.5 Prestashop 1.6 Prestashop 1.7
Translations Available Translations
English
Demo Page Demo Page

Valitor is Visa's and Mastercard's partner in Iceland and an online and e-commerce payment solutions company that operates internationally, offering services to partners, merchants, banks, and cardholders around the world. 

Securely accept Credit Card payments from customers during the checkout process.  The customer is redirected to the Valitor Payment Page to submit their payment, and is returned to your store to complete the transaction.  The Valitor payment gateway notifies the payment module of transaction status using an IPN notification, which means an Order will be created even if the Customer accidentally closes their browser window.

The Credit Card information is not collected or stored on your website, alleviating most PCI compliance issues 

In order to use this module, you must open a merchant account with Valitor

 

For more information on the Valitor solution, or to signup for their service, please visit their website.

https://www.valitor.com/acquiring-services/online-payments/

 

Certified for Prestashop v1.5, v1.6 and v1.7.  Contact us if you require this module for another Prestashop Version

PS 1.5 Compatible:Yes
PS 1.6 Compatible:Yes
PS 1.7 Compatible:Yes
  • v2.0.0: Add support for PS v1.7
  • v1.2.1: fixed issue with space character
  • v1.2.0:
    • Implemented digital signature on response to ensure only valid orders are created
    • Add a debug mode configuration option
    • Updated for submission to PS addons store
  • v1.1.0: Refactored module to support PS Addons validator rules
  • v1.0.0: Initial release

Our Valitor module includes support for PS v1.5, v1.6 and v1.7.  After your purchase is complete, please make sure you download and install the correct module version for your store

Prestashop v1.5: Use valitor_v1.2.1.zip

Prestashop v1.6: Use valitor_v1.2.1zip

Prestashop v1.7: Use valitor_v2.0.0.zip